﻿using iText.Kernel.Geom;
using iText.Kernel.Pdf;
using iText.Layout;
using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace Reports
{
    public class ExportPDF
    {
        //private byte[] exportpdf(DataTable dtEmployee)
        //{

        //    // creating document object  
        //    System.IO.MemoryStream ms = new System.IO.MemoryStream();
        //    Rectangle rec = new Rectangle(PageSize.A4);
        //    //rec. = new BaseColor(System.Drawing.Color.Olive);
        //    Document doc = new Document();
        //    doc.SetPageSize(iTextSharp.text.PageSize.A4);
        //    PdfWriter writer = PdfWriter.GetInstance(doc, ms);
        //    doc.Open();

        //    //Creating paragraph for header  
        //    BaseFont bfntHead = BaseFont.CreateFont(BaseFont.TIMES_ROMAN, BaseFont.CP1252, BaseFont.NOT_EMBEDDED);
        //    iTextSharp.text.Font fntHead = new iTextSharp.text.Font(bfntHead, 16, 1, iTextSharp.text.BaseColor.BLUE);
        //    Paragraph prgHeading = new Paragraph();
        //    prgHeading.Alignment = Element.ALIGN_LEFT;
        //    prgHeading.Add(new Chunk("Dynamic Report PDF".ToUpper(), fntHead));
        //    doc.Add(prgHeading);

        //    //Adding paragraph for report generated by  
        //    Paragraph prgGeneratedBY = new Paragraph();
        //    BaseFont btnAuthor = BaseFont.CreateFont(BaseFont.TIMES_ROMAN, BaseFont.CP1252, BaseFont.NOT_EMBEDDED);
        //    iTextSharp.text.Font fntAuthor = new iTextSharp.text.Font(btnAuthor, 8, 2, iTextSharp.text.BaseColor.BLUE);
        //    prgGeneratedBY.Alignment = Element.ALIGN_RIGHT;
        //    //prgGeneratedBY.Add(new Chunk("Report Generated by : ASPArticles", fntAuthor));  
        //    //prgGeneratedBY.Add(new Chunk("\nGenerated Date : " + DateTime.Now.ToShortDateString(), fntAuthor));  
        //    doc.Add(prgGeneratedBY);

        //    //Adding a line  
        //    Paragraph p = new Paragraph(new Chunk(new iTextSharp.text.pdf.draw.LineSeparator(0.0F, 100.0F, iTextSharp.text.BaseColor.BLACK, Element.ALIGN_LEFT, 1)));
        //    doc.Add(p);

        //    //Adding line break  
        //    doc.Add(new Chunk("\n", fntHead));

        //    //Adding  PdfPTable  
        //    PdfPTable table = new PdfPTable(dtEmployee.Columns.Count);

        //    for (int i = 0; i < dtEmployee.Columns.Count; i++)
        //    {
        //        string cellText = Server.HtmlDecode(dtEmployee.Columns[i].ColumnName);
        //        PdfPCell cell = new PdfPCell();
        //        cell.Phrase = new Phrase(cellText, new iTextSharp.text.Font(iTextSharp.text.Font.FontFamily.TIMES_ROMAN, 10, 1, new BaseColor(System.Drawing.ColorTranslator.FromHtml("#000000"))));
        //        cell.BackgroundColor = new BaseColor(System.Drawing.ColorTranslator.FromHtml("#C8C8C8"));
        //        //cell.Phrase = new Phrase(cellText, new Font(Font.FontFamily.TIMES_ROMAN, 10, 1, new BaseColor(grdStudent.HeaderStyle.ForeColor)));  
        //        //cell.BackgroundColor = new BaseColor(grdStudent.HeaderStyle.BackColor);  
        //        cell.HorizontalAlignment = Element.ALIGN_CENTER;
        //        cell.PaddingBottom = 5;
        //        table.AddCell(cell);
        //    }

        //    //writing table Data  
        //    for (int i = 0; i < dtEmployee.Rows.Count; i++)
        //    {
        //        for (int j = 0; j < dtEmployee.Columns.Count; j++)
        //        {
        //            table.AddCell(dtEmployee.Rows[i][j].ToString());
        //        }
        //    }

        //    doc.Add(table);
        //    doc.Close();

        //    byte[] result = ms.ToArray();
        //    return result;
        //}
    }
}
